package com.ruoyi.wx.web.service;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.wx.web.domain.vo.SaleInfoVo;

import java.util.List;
import java.util.concurrent.ExecutionException;

public interface IWxHomeService {
    /**
     * 获取首页
     *
     * @return 首页内容
     */
    AjaxResult getIndex() throws ExecutionException, InterruptedException;

    /**
     * 获取发售信息详情内容
     *
     * @param id 发售信息id
     * @return 详情内容
     */
    List<SaleInfoVo> getSaleInfo(Long id);

    /**
     * 获取所有发售信息
     *
     * @return 结果集
     */
    List<SaleInfoVo> getSaleCalendar();

    /**
     * 点赞操作
     *
     * @param id
     * @return
     */
    Long thumbs(Long id);
}
